import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
import { ResponseType } from "../../types";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

//退票申请列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}invreturnlist`, {
    data
  });
};

//新增退票申请
export const httpAdd = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}invreturnadd`, {
    data
  });
};

//退票详情
export const httpDetail = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}returninvinfo`, {
    data
  });
};

//退票状态
export const httpStatus = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}invreturnstatus`, {
    data
  });
};
